
using Godot;


namespace Rokojori
{ 
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/Sensor.svg")]
  public partial class SensorIcon:InputIcon
  {
    [Export]
    public Sensor sensor;

    public override bool Equals( object obj )
    {
      var value = obj as SensorIcon;

      if ( value == null )
      {
        return false;
      }

      return value.sensor == sensor;
    }

    public override string ToString()
    {
      return "SensorIcon{ " + sensor + " }";
    }
  }
} 
  